%define cvs_version 20060817
%define schemas compiz-mdv
%define name compiz
%define version 0.0.13
%define release %mkrel 0.%{cvs_version}.11

Name: %name
Version: %version
Release: %release
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
URL: http://en.opensuse.org/Compiz
Source: %{name}-%{version}-%{cvs_version}.tar.bz2 
Source1: compiz.xinit
Source2: compiz.sysconfig
Source3: compiz-start
Source4: mandriva-top.png
# Patches for AIGLX
# Thanks Kristian Høgsberg
# Patch1 updated by Johannes (Hanno) Bck to automatically detect AIGLX
# http://svn.hboeck.de/xgl-overlay/x11-wm/compiz/files/compiz-tfp
Patch1: 0001-Also-check-for-tfp-in-server-extensions.txt
Patch2: 0002-Only-select-fbconfig-where-the-corresponding-visual-depth-matches.txt
Patch3: 0003-Set-_NET_WM_CM_S-d-selection-instead-of-older-WM_S-d.txt
Patch4: 0004-Take-_COMPIZ_GL_INCLUDE_INFERIORS-selection-to-disable-child-window-clipping.txt
Patch5: compiz-mandriva-top.patch
# Patches from fedora
Patch6: glfinish.patch
Patch7: sync-override-redirect-windows.patch
# Patch from mandriva
Patch8: minimize-unminimize.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: libpng-devel
BuildRequires: GL-devel
BuildRequires: libwnck-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: libgnome-desktop-2-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: intltool
#BuildRequires: libqt4-devel
Requires: mesa-demos

%description
OpenGL composite manager for Xgl and AIGLX.

%package devel
Summary: Development files for compiz
Group: Development/X11
Requires: %{name} = %{version}

%description devel
Development files for compiz

%prep
%setup -q -n %{name}
%patch1 -p1 -b .tfp_server_ext
%patch2 -p1 -b .fb_config_fix
%patch3 -p1 -b .net_wm_cm
%patch4 -p1 -b .disable_child_window
%patch5 -p1 -b .top
%patch6 -p1 -b .glfinish
%patch7 -p1 -b .sync
%patch8 -p1 -b .minimize
cp %SOURCE4 images/mandriva-top.png

%build
# This is a CVS snapshot, so we need to generate makefiles.
sh autogen.sh -V
%configure2_5x \
		--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-kde \
		--enable-gnome \
		--enable-libsvg-cairo
 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 0755 %SOURCE1 %{buildroot}%{_sysconfdir}/X11/xinit.d/40%{name}
install -D -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 0755 %SOURCE3 %{buildroot}%{_bindir}/%{name}-start
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/%{name}-start

%define schemas compiz

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/compiz.schemas
%{_sysconfdir}/X11/xinit.d/40%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-start
%{_bindir}/gnome-window-decorator
%{_libdir}/compiz/*
%{_libdir}/window-manager-settings/libcompiz.*
%{_datadir}/compiz/*.png
%{_datadir}/gnome/wm-properties/compiz.desktop
# FIXME: create i18n packages
%{_datadir}/locale/*/LC_MESSAGES/compiz.mo

%files devel
%defattr(-,root,root)
%{_includedir}/compiz/compiz.h
%{_libdir}/pkgconfig/compiz.pc


%changelog
* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-14 11:04:46 (61400)
- fix LD_LIBRARY_PATH in compiz-start (#25439)

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-13 22:42:59 (61345)
- increase release (thanks to Colin Guthrie for all the help on #25429)

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-13 22:41:53 (61344)
- use KDEWM to run compiz-start in KDE (#25429)

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-13 22:38:12 (61343)
- use WINDOW_MANAGER to run compiz-start in Gnome (#25429)

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-13 22:01:52 (61338)
- pass positionnal parameters from compiz-start to compiz

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-13 22:01:24 (61337)
- move compiz/decorator actual start in compiz-start

* Thu Sep 07 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-07 23:20:37 (60563)
- use _libdir/mesa as LD_LIBRARY_PATH for compiz if Xgl is running

* Wed Sep 06 2006 Antonio Hobmeir Neto <neto@mandriva.com>
+ 2006-09-06 22:44:10 (60415)
- + This is a provisory solution to fix a bug.
  - minimize and unminimize quickly one window, the window lost your original position.

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-29 00:42:05 (58573)
- add some useful patches from  Fedora

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-25 13:47:48 (58062)
- use new top image, and adapt schema to scale image

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 22:26:46 (57988)
- really make the sysconfig file a config file

* Thu Aug 24 2006 vguardiola
+ 2006-08-24 21:37:41 (57982)
- New image top of cube

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 21:25:12 (57981)
- simplify compiz args handling

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 21:22:45 (57980)
- allow to configure another window decorator (#24620)

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 21:16:05 (57979)
- remove hardcoded compiz and window-decorator path

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 20:53:32 (57966)
- don't start compiz if in failsafe or drak3d session

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 19:07:47 (57934)
- disable compiz by default

* Thu Aug 24 2006 vguardiola
+ 2006-08-24 18:48:05 (57927)
- Change top image

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 18:42:57 (57926)
- start compiz after dbus in xinit

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 10:59:41 (56904)
- compiz-0.0.13-0.20060817.4mdv2007.0

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 10:59:16 (56903)
- handle the no3ddesktop cmdline option

* Sat Aug 19 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-19 15:19:36 (56894)
- require mesa-demos

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-18 14:56:55 (56750)
- sleep some seconds to prevent kwin from stealing the display

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-18 14:55:38 (56749)
- auto-start compiz if possible

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-18 11:58:45 (56732)
- compiz-0.0.13-0.20060817.3mdv2007.0

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-18 11:54:08 (56731)
- automatically enable indirectRendering and strictBinding on AIGLX

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 14:31:26 (56610)
- 0.0.13-0.20060817.2mdv2007.0

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 14:29:12 (56609)
- require COMPIZ to be explicitely set to 'yes' in sysconfig file

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 14:28:09 (56608)
- use --indirect-rendering --strict-binding by in xinit script when Xgl isn't used

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 14:18:05 (56599)
- split long description

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 13:40:47 (56588)
- add compiz-mandriva.png.patch and drop compiz-mdv.schemas

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 13:37:21 (56586)
- drop duplicated schema, better patch compiz to use mandriva.png as default image

* Thu Aug 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-17 11:49:06 (56562)
- remove old source

* Thu Aug 17 2006 plouf
+ 2006-08-17 11:41:09 (56560)
- Add forgotten sources

* Thu Aug 17 2006 plouf
+ 2006-08-17 11:34:17 (56558)
-add compiz-mdv.schemas and mandriva.png

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 19:19:03 (55441)
- bump release

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 19:15:20 (55440)
- really install sysconfig file

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 18:56:43 (55431)
- fix the "don't run configure twice" hack

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 18:30:30 (55426)
- allow to start compiz in X session (config in /etc/sysconfig/compiz)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 18:27:31 (55425)
- don't run configure twice

* Fri Jul 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-07-14 00:44:59 (41102)
- add BuildRequires: libxcomposite-devel libxdamage-devel intltool

* Thu Jun 29 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-29 14:29:35 (38172)
- release

* Wed Jun 21 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-21 16:30:24 (37748)
- fix buildrequires for x86_64

* Wed Jun 21 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-21 16:12:05 (37747)
- Fixed some typos
- Added the options for AIGLX in the description

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-06-21 12:20:37 (37723)
- Add registration of gconf schema

* Tue Jun 20 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-20 20:26:51 (37679)
- Adding compiz to the repository
- Adding patches making it work when using AIGLX
